Bug 1177077 (CVE-2020-25681)

Summary: VUL-0: CVE-2020-25681,CVE-2020-25682,CVE-2020-25683,CVE-2020-25684,CVE-2020-25685,CVE-2020-25686,CVE-2020-25687: dnsmasq: multiple vulnerabilities aka "DNSpooq"
Product: [Novell Products] SUSE Security Incidents Reporter: Marcus Meissner <meissner>
Component: IncidentsAssignee: Security Team bot <security-team>
Status: IN_PROGRESS --- QA Contact: Security Team bot <security-team>
Severity: Major    
Priority: P2 - High CC: atoptsoglou, ematsumiya, emu, mark.harvey, max, meissner, vcizek, wolfgang.frisch, yuliu
Version: unspecifiedFlags: ematsumiya: needinfo?
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/268439/
Whiteboard: CVSSv3.1:SUSE:CVE-2020-25681:8.1:(AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H) CVSSv3.1:SUSE:CVE-2020-25682:8.1:(AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H) CVSSv3.1:SUSE:CVE-2020-25683:5.9:(AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H) CVSSv3.1:SUSE:CVE-2020-25684:5.4:(AV:N/AC:H/PR:N/UI:N/S:C/C:L/I:L/A:N) CVSSv3.1:SUSE:CVE-2020-25685:5.4:(AV:N/AC:H/PR:N/UI:N/S:C/C:L/I:L/A:N) CVSSv3.1:SUSE:CVE-2020-25686:5.4:(AV:N/AC:H/PR:N/UI:N/S:C/C:L/I:L/A:N) CVSSv3.1:SUSE:CVE-2020-25687:5.9:(AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H)
Found By: --- Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---
Attachments: dnsmasq_sort_rrset.md

Comment 1 Marcus Meissner 2020-09-29 08:43:07 UTC
CRD: 2020-12-02



Dnsmasq is a widely used open-source software providing DNS Caching and other network services to lightweight devices. Dnsmasq has multiple vulnerabilities that can be triggered by a remote DNS response leading to potential DNS cache-poisoning and in certain cases lead to remote code execution (RCE). In many cases, DNS cache poisoning requires a large of DNS responses. These responses can be for a valid DNS request or in certain cases be unsolicited.

Vulnerabilities can be summarized in the list below. There are very detailed information available in the Markdown files provided by JSOF researcher Shlomi Oberman. Currently these vulnerabilities do not have a CVE as yet, CVE numbers will be updated when they become available. These vulnerabilities are also known as DNSPooq (by JSOF) and ICS-VU-668462 (by DHS/CISA ICS-CERT).

..

As further information (e.g., as Exploit code for testing) becomes available this post will be updated and shared.
Comment 2 Marcus Meissner 2020-09-29 08:43:25 UTC
https://kb.cert.org/vince/comm/case/60/
Comment 3 Marcus Meissner 2020-09-29 09:04:41 UTC
(there seems no further info so far)
Comment 41 Alexandros Toptsoglou 2021-01-19 11:18:43 UTC
Now public through https://www.jsof-tech.com/disclosures/dnspooq/
Comment 45 OBSbugzilla Bot 2021-01-19 13:10:07 UTC
This is an autogenerated message for OBS integration:
This bug (1177077) was mentioned in
https://build.opensuse.org/request/show/864301 Factory / dnsmasq
Comment 46 Swamp Workflow Management 2021-01-19 14:16:02 UTC
SUSE-SU-2021:0163-1: An update that fixes 7 vulnerabilities is now available.

Category: security (important)
Bug References: 1176076,1177077
CVE References: CVE-2020-25681,CVE-2020-25682,CVE-2020-25683,CVE-2020-25684,CVE-2020-25685,CVE-2020-25686,CVE-2020-25687
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    dnsmasq-2.78-7.6.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    dnsmasq-2.78-7.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 47 Swamp Workflow Management 2021-01-19 14:17:15 UTC
SUSE-SU-2021:0166-1: An update that fixes 7 vulnerabilities is now available.

Category: security (important)
Bug References: 1176076,1177077
CVE References: CVE-2020-25681,CVE-2020-25682,CVE-2020-25683,CVE-2020-25684,CVE-2020-25685,CVE-2020-25686,CVE-2020-25687
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    dnsmasq-2.78-18.15.1
SUSE OpenStack Cloud Crowbar 8 (src):    dnsmasq-2.78-18.15.1
SUSE OpenStack Cloud 9 (src):    dnsmasq-2.78-18.15.1
SUSE OpenStack Cloud 8 (src):    dnsmasq-2.78-18.15.1
SUSE OpenStack Cloud 7 (src):    dnsmasq-2.78-18.15.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    dnsmasq-2.78-18.15.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    dnsmasq-2.78-18.15.1
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    dnsmasq-2.78-18.15.1
SUSE Linux Enterprise Server 12-SP5 (src):    dnsmasq-2.78-18.15.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    dnsmasq-2.78-18.15.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    dnsmasq-2.78-18.15.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    dnsmasq-2.78-18.15.1
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    dnsmasq-2.78-18.15.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    dnsmasq-2.78-18.15.1
SUSE Enterprise Storage 5 (src):    dnsmasq-2.78-18.15.1
HPE Helion Openstack 8 (src):    dnsmasq-2.78-18.15.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 48 Swamp Workflow Management 2021-01-19 14:18:27 UTC
SUSE-SU-2021:14603-1: An update that fixes 8 vulnerabilities is now available.

Category: security (important)
Bug References: 1154849,1176076,1177077
CVE References: CVE-2019-14834,CVE-2020-25681,CVE-2020-25682,CVE-2020-25683,CVE-2020-25684,CVE-2020-25685,CVE-2020-25686,CVE-2020-25687
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 11-SP4-LTSS (src):    dnsmasq-2.78-0.17.15.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    dnsmasq-2.78-0.17.15.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 49 Swamp Workflow Management 2021-01-19 14:19:30 UTC
SUSE-SU-2021:0162-1: An update that fixes 7 vulnerabilities is now available.

Category: security (important)
Bug References: 1176076,1177077
CVE References: CVE-2020-25681,CVE-2020-25682,CVE-2020-25683,CVE-2020-25684,CVE-2020-25685,CVE-2020-25686,CVE-2020-25687
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15 (src):    dnsmasq-2.78-3.11.1
SUSE Linux Enterprise Server 15-LTSS (src):    dnsmasq-2.78-3.11.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    dnsmasq-2.78-3.11.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    dnsmasq-2.78-3.11.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 50 Swamp Workflow Management 2021-01-19 14:20:31 UTC
SUSE-SU-2021:14604-1: An update that fixes 7 vulnerabilities is now available.

Category: security (important)
Bug References: 1176076,1177077
CVE References: CVE-2020-25681,CVE-2020-25682,CVE-2020-25683,CVE-2020-25684,CVE-2020-25685,CVE-2020-25686,CVE-2020-25687
JIRA References: 
Sources used:
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    dnsmasq-2.78-0.16.14.1
SUSE Linux Enterprise Debuginfo 11-SP3 (src):    dnsmasq-2.78-0.16.14.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 52 Swamp Workflow Management 2021-01-20 14:22:23 UTC
openSUSE-SU-2021:0124-1: An update that fixes 7 vulnerabilities is now available.

Category: security (important)
Bug References: 1176076,1177077
CVE References: CVE-2020-25681,CVE-2020-25682,CVE-2020-25683,CVE-2020-25684,CVE-2020-25685,CVE-2020-25686,CVE-2020-25687
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    dnsmasq-2.78-lp152.7.3.1
Comment 53 Swamp Workflow Management 2021-01-20 20:16:50 UTC
openSUSE-SU-2021:0129-1: An update that fixes 7 vulnerabilities is now available.

Category: security (important)
Bug References: 1176076,1177077
CVE References: CVE-2020-25681,CVE-2020-25682,CVE-2020-25683,CVE-2020-25684,CVE-2020-25685,CVE-2020-25686,CVE-2020-25687
JIRA References: 
Sources used:
openSUSE Leap 15.1 (src):    dnsmasq-2.78-lp151.5.6.1